module JsonAttribute
  module InstanceMethods
    def get_json_attribute_value_for(attribute, options = {})
      column = options[:column]
      (public_send(column) || {})[attribute.to_s]
    end

    def set_json_attribute_value_for(attribute, value, options = {})
      column = options[:column]
      (public_send(column) || self.public_send("#{column}=", {}))[attribute.to_s] = value
    end
  end
end