module JsonAttribute
  module Validators
    class Boolean
      def self.call(value)
        value.is_a?(::TrueClass) || value.is_a?(::FalseClass)
      end
    end

    class Integer
      def self.call(value)
        value.is_a?(::Integer)
      end
    end

    class String
      def self.call(value)
        value.is_a?(::String)
      end
    end

    class Float
      def self.call(value)
        value.is_a?(::Float)
      end
    end
  end
end